Skip to main content
GET
/
brands
/
{brand_id}
/
campaigns
/
{campaign_id}
/
ad_campaigns
Get ad campaigns
curl --request GET \
  --url https://library-backend.dashsocial.com/brands/{brand_id}/campaigns/{campaign_id}/ad_campaigns \
  --header 'Authorization: Bearer <token>'
[
  {
    "source_ad_account_id": "<string>",
    "source_campaign_id": "<string>",
    "source_campaign_name": "<string>",
    "source_created_at": "2023-11-07T05:31:56Z",
    "source_updated_at": "2023-11-07T05:31:56Z",
    "status": "<string>"
  }
]

Documentation Index

Fetch the complete documentation index at: https://developer.dashsocial.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

brand_id
integer<int32>
required

The Dash Social assigned ID of the brand.

campaign_id
integer
required

The ID of the campaign object.

Required range: x >= 0

Response

OK

source
enum<string>
required
Available options:
META_ADS,
TIKTOK_ADS
source_ad_account_id
string
required
source_campaign_id
string
required
source_campaign_name
string
source_created_at
string<date-time>
source_updated_at
string<date-time>
status
string